<div class="row justify-content-center">
  <div class="col-xl-5 col-lg-5 col-md-9 col-sm-12 loginForm">
    <div class="card o-hidden border-0 shadow-lg my-5">
      <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
        <div class="row">
          <div class="col-lg-12">
            <div class="p-5">
              <div class="text-center">
                <h1 class="h4 text-gray-900 mb-4">Punit Creation</h1>
              </div>
              <form class="user" [formGroup]="loginForm" (ngSubmit)="userLogin()">
                <div class="form-group">
                  <input type="email" formControlName="username" class="form-control form-control-user"
                    [ngClass]="{ 'is-invalid': submitted && formControls.username.errors }" id="exampleInputEmail"
                    aria-describedby="emailHelp" placeholder="Username">
                  <div *ngIf="submitted && formControls.username.errors" class="invalid-feedback">
                    <div *ngIf="formControls.username.errors.required"> Username is required</div>
                  </div>
                </div>
                <div class="form-group">
                  <input type="password" formControlName="password" class="form-control form-control-user"
                    [ngClass]="{ 'is-invalid': submitted && formControls.password.errors }" id="exampleInputPassword"
                    placeholder="Password">
                  <div *ngIf="submitted && formControls.password.errors" class="invalid-feedback">
                    <div *ngIf="formControls.password.errors.required">Password is required</div>
                    <!-- <div *ngIf="f.password.errors.minlength">Password must be at least 6 characters</div>  -->
                  </div>
                </div>
                <button class="btn btn-main btn-user btn-block">Login</button>
              </form>
              <hr>
              <div class="text-center">
                <a class="" href="" [routerLink]="['forgot-password']">Forgot Password?</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>